RUNXLRD(1)

NAME
runxlrd - extract data from Microsoft Excel spreadsheet files

SYNOPSIS
runxlrd [options] command [input-file-patterns]

DESCRIPTION
This manual page documents briefly the runxlrd command.

runxlrd offers a commandline interface to the Python xlrd module; it extracts data from Microsoft Excel spreadsheet files. For a complete list of options and commands, run runxlrd with argument.

OPTIONS

-h, --help
    Show summary of options and exit.

-l logfilename
    Contains error messages.

-v verbosity, --verbosity=verbosity
    Level of information and diagnostics provided.

-m mmap, --mmap=mmap
    1: use mmap; 0: don't use mmap; -1: accept heuristic.

-e encoding, --encoding=encoding
    Encoding override.

-f formatting, --formatting=formatting
    0 (default): no fmt info 1: fmt info (all cells) 2: fmt info (margins trimmed).

-g gc, --gc=gc
    0: auto gc enabled; 1: auto gc disabled, manual collect after each file; 2: no gc.

-s onesheet, --onesheet=onesheet
    Restrict output to this sheet (name or index).

COMMANDS
Main commands are

•   2rows

•   3rows

•   bench

•   hdr

•   labels

•   names

•   ov

•   show

•   version

•   xfc

See the xlrd API documentation for the meaning of these commands.

EXAMPLES
To show the first, second and last rows of each sheet in each file, run
    $ runxlrd 3rows *blah*.xls
Run
    $ runxlrd -e koi8_r 3rows myfile.xls
to explicitly pass the needed codepage to xlrd, e.g. if the codepage record is missing, or if it exists but is wrong.

SEE ALSO
The xlrd API documentation, shipped in the file xlrd.html.
The

AUTHOR
runxlrd was written by John Machin.

This manual page was written by Joost van Baal <joostvb+debian@uvt.nl>, for the Debian project (but may be used by others).